## akonadi-search 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(PIM_VERSION "5.13.3")
project(AkonadiSearch VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CMakeDependentOption)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)


cmake_dependent_option(
    AKONADISEARCH_ENABLE_KRUNNER_RUNNER
    "Build KRunner runner to search contacts" ON
    "NOT WIN32" OFF
)

set(AKONADISEARCH_VERSION ${PIM_VERSION})

set(AKONADI_VERSION "5.13.3")
set(AKONADI_MIMELIB_VERSION "5.13.3")
set(KMIME_LIB_VERSION "5.13.3")
set(QT_REQUIRED_VERSION "5.11.0")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO)
if (AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    find_package(KF5Runner ${KF5_MIN_VERSION} REQUIRED)
endif()


find_package(Xapian CONFIG)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "The Xapian search engine library"
    URL "https://xapian.org"
    TYPE REQUIRED
)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADISEARCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    SOVERSION 5
)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)

# Compiler flags
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)
# Turn exceptions on
kde_enable_exceptions()

include_directories(
  ${XAPIAN_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}/xapian
  ${CMAKE_BINARY_DIR}/xapian
)

# Targets
add_subdirectory(xapian)
add_subdirectory(core)
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(akonadiplugin)
add_subdirectory(search)
add_subdirectory(debug)
if (AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    add_subdirectory(runner)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiSearch")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiSearchConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5AkonadiSearchTargets
        NAMESPACE KF5::
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5AkonadiSearchTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

install(FILES akonadi-search.renamecategories akonadi-search.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

ki18n_install(po)

=== lib/CMakeLists.txt ===
kde_enable_exceptions()
include_directories(
    ${XAPIAN_INCLUDE_DIR}
)

set(AKONADI_SEARCH_PIM_LIB_SRCS
    query.cpp
    resultiterator.cpp
    contactquery.cpp
    emailquery.cpp
    notequery.cpp
    contactcompleter.cpp
    collectionquery.cpp
    indexeditems.cpp

    ../search/email/agepostingsource.cpp
)

ecm_qt_declare_logging_category(AKONADI_SEARCH_PIM_LIB_SRCS HEADER akonadi_search_pim_debug.h IDENTIFIER AKONADI_SEARCH_PIM_LOG CATEGORY_NAME org.kde.pim.akonadi_search_pim)

add_library(KF5AkonadiSearchPIM ${AKONADI_SEARCH_PIM_LIB_SRCS})
add_library(KF5::AkonadiSearchPIM ALIAS KF5AkonadiSearchPIM)

generate_export_header(KF5AkonadiSearchPIM BASE_NAME AKONADI_SEARCH_PIM EXPORT_FILE_NAME search_pim_export.h)

target_link_libraries(KF5AkonadiSearchPIM
    PUBLIC
    Qt5::Core

    PRIVATE
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
)

set_target_properties(KF5AkonadiSearchPIM PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchPIM
)

target_include_directories(KF5AkonadiSearchPIM INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch>")

install(TARGETS KF5AkonadiSearchPIM EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    query.h
    contactquery.h
    emailquery.h
    contactcompleter.h
    notequery.h
    collectionquery.h
    indexeditems.h

    resultiterator.h
    ${CMAKE_CURRENT_BINARY_DIR}/search_pim_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch/PIM
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== debug/autotests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

macro(add_akonadisearchdebug_unittest _source)
    ecm_add_test(${_source}
        NAME_PREFIX "akonadisearchdebug-"
        LINK_LIBRARIES Qt5::Test Qt5::Gui KF5::Completion KF5::CoreAddons KF5::AkonadiSearchDebug KF5::AkonadiCore
        GUI
    )
endmacro ()

add_akonadisearchdebug_unittest(akonadisearchdebugdialogtest.cpp)
add_akonadisearchdebug_unittest(akonadisearchdebugwidgettest.cpp)
add_akonadisearchdebug_unittest(akonadisearchdebugsearchpathcomboboxtest.cpp)

=== search/note/CMakeLists.txt ===
add_library(notesearchstore MODULE notesearchstore.cpp ../pimsearchstore.cpp)

target_link_libraries(notesearchstore
    Qt5::Core
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
    KF5AkonadiSearchCore
    KF5AkonadiSearchXapian
)

install(TARGETS notesearchstore DESTINATION ${KDE_INSTALL_PLUGINDIR}/akonadi)

=== xapian/autotests/CMakeLists.txt ===
ecm_add_test(termgeneratortest.cpp
    TEST_NAME "termgeneratortest"
    LINK_LIBRARIES Qt5::Test KF5::AkonadiSearchXapian
)

ecm_add_test(queryparsertest.cpp
    TEST_NAME "queryparsertest"
    LINK_LIBRARIES Qt5::Test KF5::AkonadiSearchXapian
)

=== debian/changelog ===
akonadi-search (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:56:28 +0100

akonadi-search (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:20 +0100

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5akonadiserver-dev (>= 4:19.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5runner-dev (>= 5.31.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5akonadimime-dev (>= 4:19.12.3~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= 4:19.12.3~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5mime-dev (>= 19.12.3~),
         libxapian-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5akonadisearch-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## akonadi-search 20.08.1

=== debian/changelog ===
akonadi-search (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:35 +0100

akonadi-search (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
-               libkf5akonadiserver-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
+               libkf5akonadiserver-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
                libkf5runner-dev (>= 5.31.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
@@ -48,17 +48,17 @@
 Package: libkf5akonadisearch-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadimime-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadimime-dev (>= 4:20.08.1~),
          libkf5akonadisearchcore5 (= ${binary:Version}),
          libkf5akonadisearchdebug5 (= ${binary:Version}),
          libkf5akonadisearchpim5 (= ${binary:Version}),
          libkf5akonadisearchxapian5 (= ${binary:Version}),
-         libkf5akonadiserver-dev (>= 4:19.12.3~),
+         libkf5akonadiserver-dev (>= 4:20.08.1~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mime-dev (>= 20.08.1~),
          libxapian-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

## akonadi-search 20.08.2

=== debian/changelog ===
akonadi-search (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:21 +0200

akonadi-search (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Move krunner_pimcontacts.so ->
    kf5/krunner/krunner_pimcontacts.so.
  * Delete not generated plasma-krunner-pimcontacts.desktop.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:39 +0200

akonadi-search (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/akonadi-search.categories, and
    /etc/xdg/akonadi-search.renamecategories conffiles.
  * Change an internal hostname of an old Ubuntu changelog entry to
    ubuntu@ubuntu.com to avoid lintian issues.
  * Tighten the inter-library dependencies.
  * Simplify the dependencies of libkf5akonadisearch-dev: use the sodeps addon
    instead of manually listing all the libraries.
  * Remove the unused ${shlibs:Depends} substvar in libkf5akonadisearch-data.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 08:02:41 +0200

akonadi-search (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:06 +0200

akonadi-search (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (20.04.0).
  * Enable hardening all.
  * Wrap long lines in changelog entries: 4:17.08.0-1, 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:22:37 +0200

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5akonadi-dev (>= 4:20.08.2~),
               libkf5akonadimime-dev (>= 4:20.08.2~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5mime-dev (>= 20.08.2~),
               libkf5runner-dev (>= 5.71.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.13.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
Rules-Requires-Root: no

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.2~),
         libkf5akonadimime-dev (>= 4:20.08.2~),
         libkf5calendarcore-dev (>= 5:5.71.0~),
         libkf5contacts-dev (>= 5:5.71.0~),
         libkf5mime-dev (>= 20.08.2~),
         qtbase5-dev (>= 5.13.0~),
         ${misc:Depends},
         ${so:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.
Provides: ${ABI:VirtualPackage}

## akonadi-search 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 project(AkonadiSearch VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -31,10 +31,10 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "5.13.3")
-set(AKONADI_MIMELIB_VERSION "5.13.3")
-set(KMIME_LIB_VERSION "5.13.3")
-set(QT_REQUIRED_VERSION "5.11.0")
+set(AKONADI_VERSION "5.15.3")
+set(AKONADI_MIMELIB_VERSION "5.15.3")
+set(KMIME_LIB_VERSION "5.15.3")
+set(QT_REQUIRED_VERSION "5.13.0")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO)
@@ -66,12 +66,13 @@
 
 # Compiler flags
 add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 # Turn exceptions on
 kde_enable_exceptions()
 
@@ -123,7 +124,11 @@
     COMPONENT Devel
 )
 
-install(FILES akonadi-search.renamecategories akonadi-search.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+        EXPORT AKONADISEARCH
+        FILE akonadi-search.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
 
 feature_summary(WHAT ALL
     INCLUDE_QUIET_PACKAGES

=== agent/CMakeLists.txt ===
kde_enable_exceptions()
include_directories(
    ${XAPIAN_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


set(akonadi_indexing_agent_SRCS
    abstractindexer.cpp
    agent.cpp
    emailindexer.cpp
    contactindexer.cpp
    akonotesindexer.cpp
    calendarindexer.cpp
    collectionindexer.cpp
    priority.cpp
    scheduler.cpp
    collectionindexingjob.cpp
    index.cpp
    collectionupdatejob.cpp
)

ecm_qt_declare_logging_category(akonadi_indexing_agent_SRCS HEADER akonadi_indexer_agent_debug.h IDENTIFIER AKONADI_INDEXER_AGENT_LOG CATEGORY_NAME org.kde.pim.akonadi_indexer_agent
        DESCRIPTION "akonadisearch (akonadi indexer agent)"
        OLD_CATEGORY_NAMES log_akonadi_indexer_agent
        EXPORT AKONADISEARCH
    )

qt5_add_dbus_adaptor(akonadi_indexing_agent_SRCS org.freedesktop.Akonadi.Indexer.xml agent.h AkonadiIndexingAgent)

add_executable(akonadi_indexing_agent ${akonadi_indexing_agent_SRCS})

target_link_libraries(akonadi_indexing_agent
    Qt5::Core
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::Contacts
    KF5::AkonadiAgentBase
    KF5::CalendarCore
    KF5::AkonadiSearchXapian
    KF5::AkonadiSearchPIM
    KF5::Codecs
    KF5::I18n
    KF5::ConfigCore
    Qt5::Widgets
)

install(TARGETS akonadi_indexing_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES akonadiindexingagent.desktop
        DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== debug/CMakeLists.txt ===

set(akonadisearchdebug_SRCS
  akonadisearchdebugdialog.cpp
  akonadisearchdebugwidget.cpp
  job/akonadisearchdebugsearchjob.cpp
  akonadisearchdebugsearchpathcombobox.cpp
  akonadisearchsyntaxhighlighter.cpp

)

add_library(KF5AkonadiSearchDebug ${akonadisearchdebug_SRCS})
add_library(KF5::AkonadiSearchDebug ALIAS KF5AkonadiSearchDebug)

generate_export_header(KF5AkonadiSearchDebug BASE_NAME AKONADI_SEARCH_DEBUG EXPORT_FILE_NAME search_debug_export.h)

target_link_libraries(KF5AkonadiSearchDebug
    PRIVATE
    Qt5::Widgets
    KF5::I18n
    KF5::AkonadiCore
    KF5::WidgetsAddons
    KF5::ConfigCore
    KF5::Completion
)

set_target_properties(KF5AkonadiSearchDebug PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchDebug
)

target_include_directories(KF5AkonadiSearchDebug INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch>")

install(TARGETS KF5AkonadiSearchDebug EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    akonadisearchdebugdialog.h
    akonadisearchdebugsearchpathcombobox.h
    ${CMAKE_CURRENT_BINARY_DIR}/search_debug_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch/Debug
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== runner/CMakeLists.txt ===

ecm_qt_declare_logging_category(pimcontactsrunner_DEBUG HEADER akonadi_runner_debug.h
        IDENTIFIER AKONADI_KRUNNER_LOG
        CATEGORY_NAME org.kde.pim.akonadi_krunner_plugin
        DESCRIPTION "akonadisearch (akonadi plugin krunner)"
        OLD_CATEGORY_NAMES log_akonadi_krunner_plugin
        EXPORT AKONADISEARCH
    )


set(pimcontactsrunner_SRCS
    pimcontactsrunner.cpp
    ${pimcontactsrunner_DEBUG}
)

add_library(krunner_pimcontacts MODULE ${pimcontactsrunner_SRCS})
kcoreaddons_desktop_to_json(krunner_pimcontacts plasma-krunner-pimcontacts.desktop)
target_link_libraries(krunner_pimcontacts
    KF5::Runner
    KF5::AkonadiCore
    KF5AkonadiSearchPIM
    KF5::I18n
    KF5::Contacts
    KF5::Codecs
)

set(pimcontactsrunnerconfig_SRCS
    pimcontactsrunnerconfig.cpp
    ${pimcontactsrunner_DEBUG}
)

add_library(kcm_krunner_pimcontacts MODULE ${pimcontactsrunnerconfig_SRCS})
target_link_libraries(kcm_krunner_pimcontacts
    Qt5::Gui
    KF5::KCMUtils
    KF5::I18n
)

install(TARGETS krunner_pimcontacts DESTINATION "${KDE_INSTALL_PLUGINDIR}/kf5/krunner")
install(TARGETS 
                kcm_krunner_pimcontacts
        DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES 
              plasma-krunner-pimcontacts_config.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)

=== xapian/CMakeLists.txt ===
kde_enable_exceptions()

set(XAPIAN_SRCS
    xapiansearchstore.cpp
    xapiandocument.cpp
    xapiandatabase.cpp
    xapiantermgenerator.cpp
    xapianqueryparser.cpp
)

ecm_qt_declare_logging_category(XAPIAN_SRCS HEADER akonadi_search_xapian_debug.h IDENTIFIER AKONADI_SEARCH_XAPIAN_LOG CATEGORY_NAME org.kde.pim.akonadi_search_xapian
        DESCRIPTION "akonadisearch (akonadi indexer xapian)"
        OLD_CATEGORY_NAMES log_akonadi_search_xapian
        EXPORT AKONADISEARCH
    )


add_library(KF5AkonadiSearchXapian ${XAPIAN_SRCS})
add_library(KF5::AkonadiSearchXapian ALIAS KF5AkonadiSearchXapian)

target_link_libraries(KF5AkonadiSearchXapian PUBLIC
    Qt5::Core
    KF5::AkonadiSearchCore
    ${XAPIAN_LIBRARIES}
)

set_target_properties(KF5AkonadiSearchXapian PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchXapian
)

generate_export_header(KF5AkonadiSearchXapian BASE_NAME AKONADI_SEARCH_XAPIAN EXPORT_FILE_NAME search_xapian_export.h)

install(TARGETS KF5AkonadiSearchXapian EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    xapiandatabase.h
    xapiandocument.h
    xapianqueryparser.h
    xapiansearchstore.h
    xapiantermgenerator.h
    ${CMAKE_CURRENT_BINARY_DIR}/search_xapian_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch/Xapian
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== agent/autotests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

set(indexer_SRCS
    ../emailindexer.cpp
    ../contactindexer.cpp
    ../akonotesindexer.cpp
    ../calendarindexer.cpp
    ../abstractindexer.cpp
    ../collectionindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../akonadi_indexer_agent_debug.cpp
)

set(indexer_LIBS
    Qt5::Test
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::Contacts
    KF5::CalendarCore
    KF5::AkonadiSearchPIM
    KF5::AkonadiSearchXapian
    KF5::I18n
    KF5::Codecs
)

set(indexertest_SRCS
    indexertest.cpp
    ${indexer_SRCS}
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_executable(indexertest ${indexertest_SRCS})
add_test(NAME indexertest COMMAND indexertest)
ecm_mark_as_test(indexertest)
target_link_libraries(indexertest
    ${indexer_LIBS}
)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
if (KDEPIM_RUN_AKONADI_TEST)
	set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
	set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

	set(scheduler_SRCS
	    ../scheduler.cpp
	    ../index.cpp
	    ../collectionindexingjob.cpp
	    ${indexer_SRCS}
	)

	add_akonadi_isolated_test_advanced(schedulertest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")
	add_akonadi_isolated_test_advanced(collectionindexingjobtest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")


if(NOT WIN32)
add_executable(collectionquerytest collectionquerytest.cpp ${query_SRCS} ${indexer_SRCS} ${scheduler_SRCS})
add_test(NAME collectionquerytest COMMAND collectionquerytest)
ecm_mark_as_test(collectionquerytest)
target_link_libraries(collectionquerytest
    ${indexer_LIBS}
    ${QJSON_LIBRARIES}
    KF5::AkonadiSearchPIM
    KF5::ConfigCore
    Qt5::Widgets
    Qt5::DBus
)
endif()
endif()

=== agent/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_executable(emailindexer emailtest.cpp ../emailindexer.cpp ../abstractindexer.cpp ../akonadi_indexer_agent_debug.cpp)

target_link_libraries(emailindexer
  Qt5::Test
  KF5::AkonadiCore
  KF5::AkonadiMime
  KF5::Mime
  KF5::AkonadiSearchPIM
  KF5::AkonadiSearchXapian
  KF5::Codecs
  Qt5::Widgets
)

=== debian/changelog ===
akonadi-search (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:48:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:20.08.2~),
-               libkf5akonadimime-dev (>= 4:20.08.2~),
+               libkf5akonadi-dev (>= 4:20.08.3~),
+               libkf5akonadimime-dev (>= 4:20.08.3~),
                libkf5calendarcore-dev (>= 5:5.71.0~),
                libkf5config-dev (>= 5.71.0~),
                libkf5contacts-dev (>= 5:5.71.0~),
@@ -17,14 +17,14 @@
                libkf5i18n-dev (>= 5.71.0~),
                libkf5kcmutils-dev (>= 5.71.0~),
                libkf5kio-dev (>= 5.71.0~),
-               libkf5mime-dev (>= 20.08.2~),
+               libkf5mime-dev (>= 20.08.3~),
                libkf5runner-dev (>= 5.71.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.13.0~),
                xauth,
-               xvfb,
-Standards-Version: 4.5.0
+               xvfb
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/pim/akonadi-search
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
@@ -51,14 +51,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:20.08.2~),
-         libkf5akonadimime-dev (>= 4:20.08.2~),
+Depends: libkf5akonadi-dev (>= 4:20.08.3~),
+         libkf5akonadimime-dev (>= 4:20.08.3~),
          libkf5calendarcore-dev (>= 5:5.71.0~),
          libkf5contacts-dev (>= 5:5.71.0~),
-         libkf5mime-dev (>= 20.08.2~),
+         libkf5mime-dev (>= 20.08.3~),
          qtbase5-dev (>= 5.13.0~),
          ${misc:Depends},
-         ${so:Depends},
+         ${so:Depends}
 Description: Akonadi search library - development files
  Library used to search in the Akonadi PIM data server.
  .
@@ -78,9 +78,9 @@
 Multi-Arch: same
 Depends: libkf5akonadisearch-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5akonadisearch-bin,
-            libkf5akonadisearch-plugins (= ${binary:Version}),
+            libkf5akonadisearch-plugins (= ${binary:Version})
 Description: Akonadi search core library
  Internal library used to search in the Akonadi PIM data server.
  This package contains the core library.
@@ -100,7 +100,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libkf5akonadisearch-bin,
-            libkf5akonadisearch-plugins (= ${binary:Version}),
+            libkf5akonadisearch-plugins (= ${binary:Version})
 Description: Akonadi search library
  Library used to search in the Akonadi PIM data server.
 Provides: ${ABI:VirtualPackage}

## akonadi-search 20.12.3

=== debian/changelog ===
akonadi-search (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:13:56 +0000

akonadi-search (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:48:22 +0000

akonadi-search (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:06:28 +0000

akonadi-search (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:21:17 +0000

akonadi-search (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:46:07 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5akonadimime-dev (>= 4:20.12.3~),
               libkf5akonadiserver-dev (>= 4:20.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5mime-dev (>= 20.12.3~),
               libkf5runner-dev (>= 5.31.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:20.12.3~),
         libkf5akonadimime-dev (>= 4:20.12.3~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= 4:20.12.3~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5mime-dev (>= 20.12.3~),
         libxapian-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

## akonadi-search 21.08.1

=== debian/changelog ===
akonadi-search (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:28:46 +0100

akonadi-search (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:56:40 +0100

akonadi-search (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:00 +0100

akonadi-search (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:41:36 +0100

akonadi-search (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:37:26 +0100

akonadi-search (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:33:30 +0100

akonadi-search (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:00:33 +0100

akonadi-search (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:28:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadimime-dev (>= 4:20.12.3~),
-               libkf5akonadiserver-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadimime-dev (>= 4:21.08.1~),
+               libkf5akonadiserver-dev (>= 4:21.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 20.12.3~),
+               libkf5mime-dev (>= 21.08.1~),
                libkf5runner-dev (>= 5.31.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
@@ -48,17 +48,17 @@
 Package: libkf5akonadisearch-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:20.12.3~),
-         libkf5akonadimime-dev (>= 4:20.12.3~),
+Depends: libkf5akonadi-dev (>= 4:21.08.1~),
+         libkf5akonadimime-dev (>= 4:21.08.1~),
          libkf5akonadisearchcore5 (= ${binary:Version}),
          libkf5akonadisearchdebug5 (= ${binary:Version}),
          libkf5akonadisearchpim5 (= ${binary:Version}),
          libkf5akonadisearchxapian5 (= ${binary:Version}),
-         libkf5akonadiserver-dev (>= 4:20.12.3~),
+         libkf5akonadiserver-dev (>= 4:21.08.1~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 20.12.3~),
+         libkf5mime-dev (>= 21.08.1~),
          libxapian-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

## akonadi-search 21.08.1-1

=== debian/changelog ===
akonadi-search (4:21.08.1-1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:19:27 +0800

akonadi-search (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:19:25 +0900

akonadi-search (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:41:45 +0900

akonadi-search (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:32:33 +0900

akonadi-search (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:08:35 +0900

akonadi-search (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:45:59 +0900

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5akonadi-dev (>= 4:21.08.1~),
               libkf5akonadimime-dev (>= 4:21.08.1~),
               libkf5calendarcore-dev (>= 5:5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5contacts-dev (>= 5:5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kcmutils-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5mime-dev (>= 21.08.1~),
               libkf5runner-dev (>= 5.83.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
Rules-Requires-Root: no

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:21.08.1~),
         libkf5akonadimime-dev (>= 4:21.08.1~),
         libkf5calendarcore-dev (>= 5:5.83.0~),
         libkf5contacts-dev (>= 5:5.83.0~),
         libkf5mime-dev (>= 21.08.1~),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends},
         ${so:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.
Provides: ${ABI:VirtualPackage}

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.
Provides: ${ABI:VirtualPackage}
